# fakeaudiosink

This element is the same as fakesink but will pretend to act as an audio sink supporting the `GstStreamVolume` interface. This is useful for throughput testing while creating a new pipeline or for CI purposes on machines not running a real audio daemon.

## Example launch lines

     gst-launch-1.0 audiotestsrc ! fakeaudiosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──fakeaudiosink

## Implemented interfaces

    GstChildProxy
    GstStreamVolume

## Factory details

Authors: – Philippe Normand

Classification: – `Audio/Sink`

Rank – none

Plugin – debugutilsbad

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { F64LE, F64BE, F32LE, F32BE, S32LE, S32BE, U32LE, U32BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, S16LE, S16BE, U16LE, U16BE, S8, U8 }
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2147483647 ]

Presence – always

Direction – sink

Object type – GstPad

## Properties

### async

    “async” gboolean

Go asynchronously to PAUSED

Flags : Read / Write

Default value : true

### blocksize

    “blocksize” guint

Size in bytes to pull per buffer (0 = default)

Flags : Read / Write

Default value : 4096

### can-activate-pull

    “can-activate-pull” gboolean

Can activate in pull mode

Flags : Read / Write

Default value : false

### can-activate-push

    “can-activate-push” gboolean

Can activate in push mode

Flags : Read / Write

Default value : true

### drop-out-of-segment

    “drop-out-of-segment” gboolean

Drop and don't render / hand off out-of-segment buffers

Flags : Read / Write

Default value : true

### dump

    “dump” gboolean

Dump buffer contents to stdout

Flags : Read / Write

Default value : false

### enable-last-sample

    “enable-last-sample” gboolean

Enable the last-sample property

Flags : Read / Write

Default value : true

### last-message

    “last-message” gchararray

The message describing current status

Flags : Read

Default value : NULL

### last-sample

    “last-sample” GstSample *

The last sample received in the sink

Flags : Read

### max-bitrate

    “max-bitrate” guint64

The maximum bits per second to render (0 = disabled)

Flags : Read / Write

Default value : 0

### max-lateness

    “max-lateness” gint64

Maximum number of nanoseconds that a buffer can be late before it is dropped (-1 unlimited)

Flags : Read / Write

Default value : 18446744073709551615

### mute

    “mute” gboolean

Control the mute state

Flags : Read / Write

Default value : false

### num-buffers

    “num-buffers” gint

Number of buffers to accept going EOS

Flags : Read / Write

Default value : -1

### processing-deadline

    “processing-deadline” guint64

Maximum processing time for a buffer in nanoseconds

Flags : Read / Write

Default value : 20000000

### qos

    “qos” gboolean

Generate Quality-of-Service events upstream

Flags : Read / Write

Default value : true

### render-delay

    “render-delay” guint64

Additional render delay of the sink in nanoseconds

Flags : Read / Write

Default value : 0

### signal-handoffs

    “signal-handoffs” gboolean

Send a signal before unreffing the buffer

Flags : Read / Write

Default value : false

### silent

    “silent” gboolean

Don't produce last_message events

Flags : Read / Write

Default value : true

### state-error

    “state-error” GstFakeSinkStateError *

Generate a state change error

Flags : Read / Write

Default value : none (0)

### stats

    “stats” GstStructure *

Sink Statistics

Flags : Read

Default value :

    application/x-gst-base-sink-stats, average-rate=(double)0, dropped=(guint64)0, rendered=(guint64)0;

### sync

    “sync” gboolean

Sync on the clock

Flags : Read / Write

Default value : true

### throttle-time

    “throttle-time” guint64

The time to keep between rendered buffers (0 = disabled)

Flags : Read / Write

Default value : 0

### ts-offset

    “ts-offset” gint64

Timestamp offset in nanoseconds

Flags : Read / Write

Default value : 0

### volume

    “volume” gdouble

Control the audio volume

Flags : Read / Write

Default value : 1

The results of the search are